Skip to main content
GET
/
data
/
posts
Look up posts for a handle or hashtag
curl --request GET \
  --url https://api.juicer.io/v1/data/posts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "platform": "<string>",
      "platform_id": "<string>",
      "url": "<string>",
      "post_created_at": "2023-11-07T05:31:56Z",
      "message": "<string>",
      "tagged_users": "<string>",
      "poster": {
        "display_name": "<string>",
        "name": "<string>",
        "url": "<string>",
        "image": "<string>",
        "platform_id": "<string>"
      },
      "media": [
        {
          "url": "<string>",
          "preview_image_url": "<string>",
          "width": 123,
          "height": 123,
          "alt_text": "<string>",
          "platform_id": "<string>"
        }
      ],
      "referenced_post": {
        "poster": {
          "display_name": "<string>",
          "name": "<string>",
          "url": "<string>",
          "image": "<string>",
          "platform_id": "<string>"
        },
        "message": "<string>",
        "url": "<string>",
        "platform_id": "<string>",
        "post_created_at": "2023-11-07T05:31:56Z",
        "media": [
          {
            "url": "<string>",
            "preview_image_url": "<string>",
            "width": 123,
            "height": 123,
            "alt_text": "<string>",
            "platform_id": "<string>"
          }
        ]
      },
      "reshared_by": {
        "display_name": "<string>",
        "name": "<string>",
        "url": "<string>",
        "image": "<string>",
        "platform_id": "<string>"
      }
    }
  ],
  "meta": {
    "total_results": 123,
    "platforms": [
      {
        "platform": "<string>",
        "success": true,
        "message": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.juicer.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with jcr_. To obtain a key programmatically (no dashboard required), see POST /v1/authorize.

Query Parameters

term
string
required

Handle or hashtag to search for

Example:

"@nasa"

platforms
string
required

Comma-separated list of platforms to query. Use GET /platforms to see available options.

Example:

"Instagram,YouTube"

Response

Posts fetched successfully

data
object[]
required
meta
object
required